Create User (Get KYC URL)
This endpoint allows users to create a customer on our platform and retrieve a URL for OTP verification or KYC.
Get kyc url which will redirect to onramp KYC verification.
POST https://api.onramp.money/onramp/api/v2/whiteLabel/kyc/url
Request Body
customerId
String
Unique User Id received from /KycUrl (This customerId required to get the kycUrl if already created the user)
email*
String
Email address of the customer
phoneNumber*
String
Phone number (with country code) of the customer
clientCustomerId*
String
Unique identifier of the customer on Client side
type*
String
Indicates whether this is a business or individual customer (INDIVIDUAL/BUSINESS)
kycRedirectUrl
String
Client URL to return to once the KYC process done. Example: https://www.clientUrl.com
closeAfterLogin
Boolean
true/false, to close the UI just after login.
{
"status": 1,
"code": 200,
"data": {
"kycUrl": "---url---",
"clientCustomerId": "---UUID---",
"customerId": "---customerId---",
"signature": "---signature---"
}
}{
"status": 0,
"code": 400,
"error": "Missing required parameter(s): phoneNumber, clientCustomerId, type",
}{
"status": 0,
"code": 400,
"error": "Unable to send kycUrl at the moment. Please try again later"
}{
"status": 0,
"code": 400,
"error": "phoneNumber +9186320525792 already linked to customerId 7wCfJHPZX4_1022 and clientCustomerId Tbx92Mn ",
"customerId": "7wCfJHPZX4_1022"
}Last updated